
# Conditional build:
#
%define         orgname     sweeper
%define         _state      stable
%define         qtver       4.8.0
#
Summary:	System cleaner
Summary(pl.UTF-8):	sweeper
Name:		kde4-sweeper
Version:	4.14.3
Release:	2
License:	LGPL v2
Group:		X11/Libraries
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	90948c4401e18d545593130998448f3d
URL:		http://www.kde.org/
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.6.3
BuildRequires:	kde4-kdelibs-devel >= %{_kdever}
BuildRequires:	qt4-build >= %{qt_ver}
BuildRequires:	qt4-qmake >= %{qt_ver}
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.293
Obsoletes:	kde4-kdeutils-sweeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
System cleaner.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sweeper
%{_desktopdir}/kde4/sweeper.desktop
%dir %{_datadir}/apps/sweeper
%{_datadir}/apps/sweeper/sweeperui.rc
%{_datadir}/dbus-1/interfaces/org.kde.sweeper.xml
%{_docdir}/kde/HTML/en/sweeper
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-sweeper.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 7aacafd
- rebuild for g++ ABI changes
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> a4df80c
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 599c13e
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> bbfab7b
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 811b096
- updated to 4.13.1 (by update-kde4.sh)

* Mon May 12 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c76126f
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2d37908
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 14bba6d
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0887ebc
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a59c1a2
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> ba1af3c
- up to 4.12.0

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 8042308
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 521def3
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 370ef58
- updated to 4.9.4

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> c13118d
- updated to 4.9.1.

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 6f5313f
- Own apps/sweeper dir
Release 2

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> eb1dc1e
- Fixed files

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> be1cd8d
- Proper md5sum

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 4f38279
- Init commit

